io.vertx.rxjava.ext.web.handler

## Class FaviconHandler

- java.lang.Object
- - io.vertx.rxjava.ext.web.handler.FaviconHandler

- All Implemented Interfaces:
    Handler<RoutingContext>, io.vertx.lang.rx.RxDelegate, PlatformHandler

      public class FaviconHandler
      extends Object
      implements io.vertx.lang.rx.RxDelegate, PlatformHandler, Handler<RoutingContext>

  A handler that serves favicons.

  If no file system path is specified it will attempt to serve a resource called `favicon.ico` from the classpath.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<FaviconHandler>` | `__TYPE_ARG`
    `static long` | `DEFAULT_MAX_AGE_SECONDS` The default max age in seconds as set in the cache-control header

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FaviconHandler(FaviconHandler delegate)`
    `FaviconHandler(Object delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static FaviconHandler` | `create(Vertx vertx)` Create a handler with defaults
    `static FaviconHandler` | `create(Vertx vertx, long maxAgeSeconds)` Create a handler with the specified max cache time
    `static FaviconHandler` | `create(Vertx vertx, String path)` Create a handler attempting to load favicon file from the specified path
    `static FaviconHandler` | `create(Vertx vertx, String path, long maxAgeSeconds)` Create a handler attempting to load favicon file from the specified path, and with the specified max cache time
    `boolean` | `equals(Object o)`
    `FaviconHandler` | `getDelegate()`
    `void` | `handle(RoutingContext event)` Something has happened, so handle it.
    `int` | `hashCode()`
    `static FaviconHandler` | `newInstance(FaviconHandler arg)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface io.vertx.rxjava.ext.web.handler.PlatformHandler

      `newInstance`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<FaviconHandler> __TYPE_ARG

    - #### DEFAULT_MAX_AGE_SECONDS

          public static final long DEFAULT_MAX_AGE_SECONDS

      The default max age in seconds as set in the cache-control header
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### FaviconHandler

          public FaviconHandler(FaviconHandler delegate)

    - #### FaviconHandler

          public FaviconHandler(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public FaviconHandler getDelegate()

      Specified by:
        `getDelegate` in interface `io.vertx.lang.rx.RxDelegate`
      Specified by:
        `getDelegate` in interface `PlatformHandler`

    - #### handle

          public void handle(RoutingContext event)

      Something has happened, so handle it.
      Specified by:
        `handle` in interface `Handler<RoutingContext>`
      Specified by:
        `handle` in interface `PlatformHandler`
      Parameters:
        `event` - the event to handle

    - #### create

          public static FaviconHandler create(Vertx vertx)

      Create a handler with defaults
      Parameters:
        `vertx` -
      Returns:
        the handler

    - #### create

          public static FaviconHandler create(Vertx vertx,
                                              String path)

      Create a handler attempting to load favicon file from the specified path
      Parameters:
        `vertx` -
        `path` - the path
      Returns:
        the handler

    - #### create

          public static FaviconHandler create(Vertx vertx,
                                              String path,
                                              long maxAgeSeconds)

      Create a handler attempting to load favicon file from the specified path, and with the specified max cache time
      Parameters:
        `vertx` -
        `path` - the path
        `maxAgeSeconds` - max how long the file will be cached by browser, in seconds
      Returns:
        the handler

    - #### create

          public static FaviconHandler create(Vertx vertx,
                                              long maxAgeSeconds)

      Create a handler with the specified max cache time
      Parameters:
        `vertx` -
        `maxAgeSeconds` - max how long the file will be cached by browser, in seconds
      Returns:
        the handler

    - #### newInstance

          public static FaviconHandler newInstance(FaviconHandler arg)

Copyright © 2025 Eclipse. All rights reserved.